// File: StripExtension - strip the extension/suffix from a file name

import java.io.File; 
  
class StripExtension { 
	
    public static void other() { 
        File theFile = new File("../foo/bar/baz.txt");
        System.out.println("Full name: " + "../foo/bar/baz.txt");
        System.out.println("Dirname:   " + theFile.getParent());
        System.out.println("Basename:  " + theFile.getName());
        System.out.println();
    } 

    static String stripExtension(String str) {
        if (str == null)
        	return null;
        int pos = str.lastIndexOf(".");
        if (pos == -1)
        	return str;
        return str.substring(0, pos);
    } // end stripExtension()

    public static void main(String[] args) {
	    System.out.println ("C:a\\b\\c.d  -> " + stripExtension("C:a\\b\\c.d"));
	    System.out.println ("../a/b/c.d -> " + stripExtension("../a/b/c.d"));
        System.out.println ("test.xml   -> " + stripExtension ("test.xml"));
        System.out.println ("test.2.xml -> " + stripExtension ("test.2.xml"));
        System.out.println ("test       -> " + stripExtension ("test"));
        System.out.println ("test.      -> " + stripExtension ("test."));
        System.out.println();
        other();
    }

}